@keyframes agmFadeIn {
  0% {
    filter: blur(15px); /* Mờ đậm */
    opacity: 0; /* Trong suốt */
    transform: scale(0.9); /* Thu nhỏ nhẹ (tùy chọn) */
  }
  100% {
    filter: blur(0); /* Rõ nét */
    opacity: 1; /* Hiện rõ */
    transform: scale(1); /* Về kích thước chuẩn */
  }
}

@keyframes agmFadeOut {
  0% {
    filter: blur(0); /* Rõ nét */
    opacity: 1; /* Hiện rõ */
    transform: scale(1); /* Về kích thước chuẩn */
  }
  100% {
    filter: blur(15px); /* Mờ đậm */
    opacity: 0; /* Trong suốt */
    transform: scale(0.9); /* Thu nhỏ nhẹ (tùy chọn) */
  }
}

.agm-fade-in {
  animation: agmFadeIn 1.2s ease-out forwards;
}

.agm-fade-out {
  opacity: 1;
  animation: agmFadeOut 1.2s ease-out forwards;
}
